| Home · API Reference · Modules

Public Member Functions | Protected Attributes | List of all members
MAttributeExtension Class Reference
Plugin API

`#include <attributeextension.h>`

Inheritance diagram for MAttributeExtension:
[legend]

## Public Member Functions

| MAttributeExtension (const MAttributeExtensionId &id, const QString &fileName)
| ~MAttributeExtension ()
MAttributeExtensionId | id () const
QSharedPointer< MKeyOverrideData > | keyOverrideData () const

## Protected Attributes

MAttributeExtensionPrivate *const | d_ptr

## Detailed Description

Attribute extension.

## Constructor & Destructor Documentation

## ◆ MAttributeExtension()

MAttributeExtension::MAttributeExtension | ( | const MAttributeExtensionId & | id,
|  | const QString & | fileName )

Constructor.

## ◆ ~MAttributeExtension()

MAttributeExtension::~MAttributeExtension | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ id()

MAttributeExtensionId MAttributeExtension::id | ( |  | ) | const

## ◆ keyOverrideData()

QSharedPointer< MKeyOverrideData > MAttributeExtension::keyOverrideData | ( |  | ) | const

Return the pointer to key override data.

## Member Data Documentation

## ◆ d_ptr

MAttributeExtensionPrivate* const MAttributeExtension::d_ptr

protected

Copyright © 2011 Nokia Corporation |  | Maliit